Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.gui
Class Project

    java.lang.Object
      escjava.gui.Project

public class Project
extends java.lang.Object

Field Summary
`(package private) static java.io.File` | `currentProject`
`(package private) static java.lang.String` | `eol`
`(package private) static java.lang.String` | `magic`

Constructor Summary
`Project()`

Method Summary
`static void` | `init()`
`static void` | `init(java.lang.String[] args)`
`static java.lang.String` | `optionString()`
`static void` | `read(java.io.File file)`
`static void` | `write()`
`static void` | `write(java.io.File file)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### magic

    static java.lang.String magic

### currentProject

    static java.io.File currentProject

### eol

    static final java.lang.String eol

Constructor Detail

### Project

    public Project()

Method Detail

### init

    public static void init()

### init

    public static void init(java.lang.String[] args)

### read

    public static void read(java.io.File file)

### write

    public static void write()

### write

    public static void write(java.io.File file)

### optionString

    public static java.lang.String optionString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage